# Payments Object

> Source: https://truto.one/docs/api-reference/unified-accounting-api/payments/

Schema for the `Payments` resource in **Unified Accounting API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for payments
- **`payment_for`** _(string)_
  What entity was the payment for. Can be invoice or bill.
  Allowed: `invoice`, `bill`
- **`status`** _(string)_
  The status of the payment.
- **`transaction_date`** _(string)_
  The transaction date of the payment
- **`contact`** _(object)_
  The contact of the payment
  - **`id`** _(string)_
    The ID of the contact
  - **`type`** _(string)_
    The type of the contact. Can be customer or vendor.
    Allowed: `customer`, `vendor`
- **`account`** _(string)_
  The ID of the account for the payment
- **`invoice`** _(object)_
  The invoice associated with the payment
  - **`id`** _(string)_
    The ID of the invoice
  - **`type`** _(string)_
    The type of the invoice
    Allowed: `invoice`, `bill`
- **`currency`** _(string)_
  The currency of the payment
- **`exchange_rate`** _(number)_
  The exchange rate of the payment
- **`company`** _(string)_
  The ID of the company the payment belongs to
- **`total_amount`** _(number)_
  The total amount of the payment
- **`created_at`** _(string)_
  This represents the date when the payment was created
- **`updated_at`** _(string)_
  This represents the date when the payment was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/accounting/payments](/docs/api-reference/unified-accounting-api/payments/list) — List Payments
- [POST /unified/accounting/payments](/docs/api-reference/unified-accounting-api/payments/create) — Create Payments
- [GET /unified/accounting/payments/{id}](/docs/api-reference/unified-accounting-api/payments/get) — Get Payments
- [PATCH /unified/accounting/payments/{id}](/docs/api-reference/unified-accounting-api/payments/update) — Update Payments
